%define subrel 1

%define realname digidoc

%define major 2
%define libname %mklibname %{realname} %major
%define develname %mklibname %{realname} -d

Name:		libdigidoc
Version:	3.6.0.0
Release:	%mkrel 3
Summary:	Library for handling digitally signed documents

Group:		System/Libraries
License:	LGPLv2
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.6/libdigidoc libdigidoc-3.6.0.0 && tar cjf libdigidoc-3.6.0.0.tar.bz2 libdigidoc-3.6.0.0
Source:		%{name}-%{version}.tar.bz2
Patch0:		libdigidoc-3.6.0.0-cmake_sysconfdir.patch
Patch1:		libdigidoc-3.6.0.0-security-fix-DataFile-name-tag.patch

BuildRequires:	cmake
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel

%description
libDigiDoc is a library implementing a subset of the XAdES digital
signature standard on top of Estonian specific .ddoc container format.
It allows to create, sign, verify, and modify digidoc XML containers.

%package	-n %{libname}
Group:		System/Libraries
Summary:	Library for handling digitally signed documents
Requires:	%name = %{version}

%description	-n %{libname}
This package contains libraries and header files for
developing applications that use %{name}.


%package	-n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	libxml2-devel
Requires:	openssl-devel
Requires:	pkgconfig
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
This package contains libraries and header files for
developing applications that use %{libname}.


%prep
%setup -q
%patch0 -p1 -b .sysconfdir
%patch1 -p1 -b .DataFile-security-fix


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}/build


%files
%config %{_sysconfdir}/digidoc.conf
%doc ChangeLog readme RELEASE-NOTES.txt
%{_bindir}/cdigidoc

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%doc doc/SK-CDD-PRG-GUIDE.pdf doc/SK-COM-PRG-GUIDE.pdf
%{_includedir}/libdigidoc/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so


%changelog
* Wed Aug 28 2013 sander85 <sander85> 3.6.0.0-3.1.mga3
+ Revision: 472660
- Fix security vulnerability (mga#11100)

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0.0-3.mga3
+ Revision: 356972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 sander85 <sander85> 3.6.0.0-2.mga3
+ Revision: 295979
- Fix cmake sysconfdir

* Mon Sep 17 2012 sander85 <sander85> 3.6.0.0-1.mga3
+ Revision: 295317
- New version: 3.6.0.0

* Sat Jul 21 2012 sander85 <sander85> 2.7.1.60-1.mga3
+ Revision: 273167
- new version: 2.7.1.60

* Sun Jan 08 2012 sander85 <sander85> 2.7.1.59-1.mga2
+ Revision: 193284
- new version: 2.7.1.59

* Fri Apr 22 2011 sander85 <sander85> 2.7.1.58-1.mga1
+ Revision: 89801
- imported package libdigidoc

